Bug 591335 - IPv6 tproxy support is not present in RHEL 6 Beta
Summary: IPv6 tproxy support is not present in RHEL 6 Beta
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Thomas Graf
QA Contact: Hangbin Liu
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 590186 590187
TreeView+ depends on / blocked
 
Reported: 2010-05-11 22:32 UTC by Kapil Dakhane
Modified: 2018-11-14 16:17 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-121.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 20:21:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL6 backport of ipv6: Implement Any-IP support for IPv6. (2.33 KB, patch)
2011-02-16 22:32 UTC, Thomas Graf
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description Kapil Dakhane 2010-05-11 22:32:32 UTC
Description of problem:
The IPv6 transparency has already been implemented and Bytemobile has verified
that it works correctly. It is available at:
    http://git.balabit.hu/?p=bazsi/tproxy-2.6.git;a=summary

This was verified by running ip6tables command to set mangle rules:

ip6tables --table mangle --append PREROUTING --in-interface eth2.39 --protocol
tcp --destination ::0/0 --destination-port 0:65535 --jump TPROXY --tproxy-mark
0x1/0xFFFFFFFF --on-ip fdfd:6b2a:f17e::c0a8:2701 --on-port 4101
This gives following output:
ip6tables v1.4.6: unknown option `--tproxy-mark'
Try `ip6tables -h' or 'ip6tables --help' for more information.


FYI, We require this feature to claim that our product is IPv6 compliant. 

Version-Release number of selected component (if applicable):
1.4.6

How reproducible:
Happens everytime.

Steps to Reproduce:
1. Setup an ipv6 address for an interface
2. Issue above mentioned command
3.

Actual results:

ip6tables v1.4.6: unknown option `--tproxy-mark'
Try `ip6tables -h' or 'ip6tables --help' for more information.

Expected results:
Command is accepted and IPv6 transparency works.

Additional info:
According to a reply on support Service Request # 2018648 :

07-MAY-2010 17:00:32  Ruban, Ranjith
Hello

I was able to see RFE filed to add tproxy to rhel 6 but currently the rhel 6
beta does not seem to have support for (v6) tproxy and the option --tproxy-mark
. Since rhel 6 beta is not a supported release would it be possible for you to
file a bugzilla regarding this case.

Comment 2 RHEL Product and Program Management 2010-05-12 00:13:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 RHEL Product and Program Management 2010-07-15 14:18:51 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 5 Subhendu Ghosh 2010-07-16 17:07:48 UTC
Is the patch merged upstream?

Comment 6 Thomas Graf 2010-07-16 21:34:04 UTC
Yes, this is upstream.

Patch was merged in commit e84392707e10301b93121e1b74e2823db50cdf9e.

Comment 7 Subhendu Ghosh 2010-07-16 21:46:51 UTC
Thanks Thomas

Comment 9 Thomas Graf 2010-07-20 08:57:47 UTC
The RHEL6 kernel tree already includes the latest revision of TPROXY except for two minor cosmetic commits not affecting behaviour.

What is the status of the iptables package WRT tproxy?

Comment 10 Thomas Graf 2010-07-20 09:03:45 UTC
I just noticed that this RFE asks for IPv6 support in TPROXY exclusively which isn't even implemented upstream yet. I misread this assuming it only requested the upstream TPROXY code to be back ported.

I think we have to NACK this.

Comment 11 RHEL Product and Program Management 2010-07-20 21:34:37 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Comment 12 Subhendu Ghosh 2010-07-28 20:06:52 UTC
This request is being deferred to RHEL 6.1 pending inclusion of the Balabit patches referenced in Comment #0 in the upstream kernel.

Comment 13 Thomas Graf 2010-09-03 10:51:45 UTC
Upstream integration of this feature will be discussed at the netfilter summit in October 2010. Actual integration planned for November.

Comment 26 Aristeu Rozanski 2011-02-03 15:19:43 UTC
Patch(es) available on kernel-2.6.32-112.el6

Comment 34 Thomas Graf 2011-02-16 22:32:45 UTC
Created attachment 479228 [details]
RHEL6 backport of ipv6: Implement Any-IP support for IPv6.

Backport of ab79ad14a2d51e95f0ac3cef7cd116a57089ba82

Comment 38 Aristeu Rozanski 2011-03-10 17:57:30 UTC
Patch(es) available on kernel-2.6.32-121.el6

Comment 44 errata-xmlrpc 2011-05-23 20:21:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.